Subject: Re: [PATCH 08/26] KVM: PPC: Add PV guest critical sections

From: Avi Kivity <[email-masked]>
Date: Sun, 27 Jun 2010 11:21:08 +0300

On 06/26/2010 02:24 AM, Alexander Graf wrote:
> When running in hooked code we need a way to disable interrupts without
> clobbering any interrupts or exiting out to the hypervisor.
>
> To achieve this, we have an additional critical field in the shared page. If
> that field is equal to the r1 register of the guest, it tells the hypervisor
> that we're in such a critical section and thus may not receive any interrupts.
>    

Is r1 reserved for this purpose?  Can't it match accidentally?

Why won't zero/nonzero work for this?

-- 
error compiling committee.c: too many arguments to function